Change a subscription on an account.
curl --request PUT \
--url https://{subdomain}.outseta.com/api/v1/billing/subscriptions/{subscriptionUid}/changesubscription \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Plan": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"PlanFamily": {},
"AccountRegistrationMode": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MaximumPeople": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SetupFee": 0,
"SkipSetupFeeOnPlanChange": false,
"IsTaxable": false,
"IsActive": false,
"IsPerUser": false,
"RequirePaymentInformation": false,
"TrialPeriodDays": 0,
"TrialUntilDate": "string",
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"PostLoginPath": "string",
"StripeTaxCodeId": "string",
"UnitOfMeasure": "string",
"PlanAddOns": [],
"ContentGroups": [],
"NumberOfSubscriptions": 0
},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Subscription": {},
"AddOn": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"Rate": 0
}
],
"DiscountCouponSubscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"RedeemedDate": "string",
"ExpireDate": "string",
"Subscription": {},
"DiscountCoupon": {}
}
],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Rate": 0
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/subscriptions/{subscriptionUid}/changesubscription"
payload = {
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": False,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": False,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": False,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": False,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Plan": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"PlanFamily": {},
"AccountRegistrationMode": 1,
"IsQuantityEditable": False,
"MinimumQuantity": 0,
"MaximumPeople": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SetupFee": 0,
"SkipSetupFeeOnPlanChange": False,
"IsTaxable": False,
"IsActive": False,
"IsPerUser": False,
"RequirePaymentInformation": False,
"TrialPeriodDays": 0,
"TrialUntilDate": "string",
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"PostLoginPath": "string",
"StripeTaxCodeId": "string",
"UnitOfMeasure": "string",
"PlanAddOns": [],
"ContentGroups": [],
"NumberOfSubscriptions": 0
},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": False,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Subscription": {},
"AddOn": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"Rate": 0
}
],
"DiscountCouponSubscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"RedeemedDate": "string",
"ExpireDate": "string",
"Subscription": {},
"DiscountCoupon": {}
}
],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": False,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": False,
"HasPaymentGatewayTransactions": False,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Rate": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Uid: 'string',
_objectType: 'string',
ActivityEventData: {},
BillingRenewalTerm: 1,
Account: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
SchemaLessData: {},
StripeId: 'string',
IsLivemode: false,
Name: 'string',
ClientIdentifier: 'string',
Currency: 'string',
InvoiceNotes: 'string',
IsDemo: false,
BillingAddress: {},
MailingAddress: {},
AccountStage: 2,
PaymentInformation: {},
PersonAccount: [],
StripeDefaultPaymentMethodId: 'string',
StripeInvoices: [],
StripePaymentMethods: [],
StripeSubscriptions: [],
Subscriptions: [],
Deals: [],
LastLoginDateTime: 'string',
AccountSpecificPageUrl1: 'string',
AccountSpecificPageUrl2: 'string',
AccountSpecificPageUrl3: 'string',
AccountSpecificPageUrl4: 'string',
AccountSpecificPageUrl5: 'string',
AccountSpecificPageUrl6: 'string',
AccountSpecificPageUrl7: 'string',
AccountSpecificPageUrl8: 'string',
AccountSpecificPageUrl9: 'string',
AccountSpecificPageUrl10: 'string',
RewardFulReferralId: 'string',
ToltReferralId: 'string',
TaxIds: [],
TaxStatus: 'string',
AccountStageLabel: 'string',
CurrentStripeProducts: 'string',
CurrentSubscription: {},
DomainName: 'string',
HasLoggedIn: false,
LatestSubscription: {},
LifetimeRevenue: 0,
NextStripeInvoiceDate: 'string',
Nonce: 'string',
PrimaryContact: {},
PrimarySubscription: {},
PrimaryStripeSubscription: {},
RecaptchaToken: 'string',
StripeNextInvoiceSequence: 0,
StripePrice: [],
StripePromotionCode: 'string',
TaxId: 'string',
TaxIdIsInvalid: false,
TaxIdType: 'string',
WebflowSlug: 'string'
},
Plan: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
Name: 'string',
Description: 'string',
PlanFamily: {},
AccountRegistrationMode: 1,
IsQuantityEditable: false,
MinimumQuantity: 0,
MaximumPeople: 0,
MonthlyRate: 0,
AnnualRate: 0,
QuarterlyRate: 0,
OneTimeRate: 0,
SetupFee: 0,
SkipSetupFeeOnPlanChange: false,
IsTaxable: false,
IsActive: false,
IsPerUser: false,
RequirePaymentInformation: false,
TrialPeriodDays: 0,
TrialUntilDate: 'string',
ExpiresAfterMonths: 0,
ExpirationDate: 'string',
PostLoginPath: 'string',
StripeTaxCodeId: 'string',
UnitOfMeasure: 'string',
PlanAddOns: [],
ContentGroups: [],
NumberOfSubscriptions: 0
},
Quantity: 0,
StartDate: 'string',
EndDate: 'string',
ExpirationDate: 'string',
RenewalDate: 'string',
NewRequiredQuantity: 0,
IsPlanUpgradeRequired: false,
PlanUpgradeRequiredMessage: 'string',
SubscriptionAddOns: [
{
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
BillingRenewalTerm: 1,
Subscription: {},
AddOn: {},
Quantity: 0,
StartDate: 'string',
EndDate: 'string',
ExpirationDate: 'string',
RenewalDate: 'string',
NewRequiredQuantity: 0,
Rate: 0
}
],
DiscountCouponSubscriptions: [
{
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
RedeemedDate: 'string',
ExpireDate: 'string',
Subscription: {},
DiscountCoupon: {}
}
],
DiscountCode: 'string',
DiscountCouponExpirationDate: 'string',
LatestInvoice: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
InvoiceDate: 'string',
PaymentReminderSentDate: 'string',
Number: 0,
BillingInvoiceStatus: 1,
Subscription: {},
Amount: 0,
AmountOutstanding: 0,
InvoiceLineItems: [],
IsUserGenerated: false,
StripeTaxCalculationId: 'string',
StripeTaxBehavior: 'string',
AmountCredit: 0,
AmountDiscount: 0,
AmountPaid: 0,
AmountRefunded: 0,
AmountSubtotal: 0,
AmountTax: 0,
AmountTaxRefunded: 0,
IsTaxable: false,
HasPaymentGatewayTransactions: false,
StripePaymentTransactionIds: 'string',
StripeRefundTransactionIds: 'string',
StripeTaxRefundTransactionIds: 'string'
},
Rate: 0
})
};
fetch('https://{subdomain}.outseta.com/api/v1/billing/subscriptions/{subscriptionUid}/changesubscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Plan": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"PlanFamily": {},
"AccountRegistrationMode": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MaximumPeople": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SetupFee": 0,
"SkipSetupFeeOnPlanChange": false,
"IsTaxable": false,
"IsActive": false,
"IsPerUser": false,
"RequirePaymentInformation": false,
"TrialPeriodDays": 0,
"TrialUntilDate": "string",
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"PostLoginPath": "string",
"StripeTaxCodeId": "string",
"UnitOfMeasure": "string",
"PlanAddOns": [],
"ContentGroups": [],
"NumberOfSubscriptions": 0
},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Subscription": {},
"AddOn": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"Rate": 0
}
],
"DiscountCouponSubscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"RedeemedDate": "string",
"ExpireDate": "string",
"Subscription": {},
"DiscountCoupon": {}
}
],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Rate": 0
}Subscriptions
Change a subscription on an account.
Returns an invoice object with information about the amount outstanding.
PUT
/
api
/
v1
/
billing
/
subscriptions
/
{subscriptionUid}
/
changesubscription
Change a subscription on an account.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The subscription's unique identifier
Query Parameters
If true, the subscription change takes effect immediately
Body
application/json
The new subscription details
Maximum string length:
101 - Monthly, 2 - Yearly, 3 - Quarterly, 4 - One Time
Available options:
1, 2, 3, 4 Required range:
1 <= x <= 4Circular reference to Account (not expanded here).
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"PlanFamily": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"IsActive": false,
"IsDefault": false,
"Plans": []
},
"AccountRegistrationMode": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MaximumPeople": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SetupFee": 0,
"SkipSetupFeeOnPlanChange": false,
"IsTaxable": false,
"IsActive": false,
"IsPerUser": false,
"RequirePaymentInformation": false,
"TrialPeriodDays": 0,
"TrialUntilDate": "string",
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"PostLoginPath": "string",
"StripeTaxCodeId": "string",
"UnitOfMeasure": "string",
"PlanAddOns": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Plan": {},
"AddOn": {},
"IsUserSelectable": false
}
],
"ContentGroups": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"AccessDeniedPath": "string",
"ContentGroupItems": [],
"AllowedPlans": [],
"AllowedProducts": [],
"AllowedAddOns": []
}
],
"NumberOfSubscriptions": 0
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
101 - Monthly, 2 - Yearly, 3 - Quarterly, 4 - One Time
Available options:
1, 2, 3, 4 Required range:
1 <= x <= 4Circular reference to Account (not expanded here).
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"PlanFamily": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"IsActive": false,
"IsDefault": false,
"Plans": []
},
"AccountRegistrationMode": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MaximumPeople": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SetupFee": 0,
"SkipSetupFeeOnPlanChange": false,
"IsTaxable": false,
"IsActive": false,
"IsPerUser": false,
"RequirePaymentInformation": false,
"TrialPeriodDays": 0,
"TrialUntilDate": "string",
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"PostLoginPath": "string",
"StripeTaxCodeId": "string",
"UnitOfMeasure": "string",
"PlanAddOns": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Plan": {},
"AddOn": {},
"IsUserSelectable": false
}
],
"ContentGroups": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"AccessDeniedPath": "string",
"ContentGroupItems": [],
"AllowedPlans": [],
"AllowedProducts": [],
"AllowedAddOns": []
}
],
"NumberOfSubscriptions": 0
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
⌘I